<?php
require 'constants.php';
require 'header.php';

echo "  <h1>Administrator: Delete DKP Entry</h1>\n";

if (stripslashes($_POST['id']) == '') {
	echo "  <p class=\"error\">No DKP entry was specified.</p>
		<p class=\"goback\">Return to the <a href=\"edit-dkp.php?id=" . stripslashes($POST_['id']) . "\">Edit DKP Entry</a> page.</p>";
}
else if (verifyPassword($db, stripslashes($_POST['password']), array(PERM_MODIFY_DKP => TRUE))) {
	begin($db);

	$result = pg_query($db, "DELETE FROM Bids WHERE change_id = " . pg_escape_string(stripslashes($_POST['id'])) . ";");
	if (!$result) { echo "  <p class\"error\">Couldn't delete from Bids table: " . pg_last_error($db); require 'footer.php'; exit; }
	$result = pg_query($db, "DELETE FROM DKP WHERE change_id = " . pg_escape_string(stripslashes($_POST['id'])) . ";");
	if (!$result) { echo "  <p class\"error\">Couldn't delete from DKP table: " . pg_last_error($db); require 'footer.php'; exit; }

	commit($db);
	echo "  <p>DKP entry successfully deleted.</p>
		<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a>.</p>";
}
else {
	echo "  <p class=\"error\">The supplied administrator password was incorrect.</p>
		<p class=\"goback\">Return to the <a href=\"edit-dkp.php?id=" . stripslashes($_POST['id']) . "\">Edit DKP Entry</a> page.</p>";
}

require 'footer.php';
?>
