<?php
require 'constants.php';
require 'header.php';

echo "  <h1><span class=\"guild\">$GUILD_NAME</span> DKP Record</h1>
<h2>Known Discrepancies</h2>\n";

include 'issues.php';

echo "
<table cellspacing=\"0\" cellpadding=\"5\" width=\"100%\">
<tr class=\"tabs\">\n";

$section = 'players';
if (stripslashes($_GET['show']) == 'player') $section = 'player';
if (stripslashes($_GET['show']) == 'stats') $section = 'stats';
if (stripslashes($_GET['show']) == 'raids') $section = 'raids';
if (stripslashes($_GET['show']) == 'raid') $section = 'raid';
if (stripslashes($_GET['show']) == 'items') $section = 'items';
if (stripslashes($_GET['show']) == 'item') $section = 'item';
$tabSelected = 'player';
if ($section == 'raids' || $section == 'raid') $tabSelected = 'raid';
if ($section == 'items' || $section == 'item') $tabSelected = 'item';

if ($tabSelected == 'player') {
	echo "<td class=\"tab-selected\">";
	if ($section != 'players') echo "<a href=\"index.php?show=players\">";
	echo "Players";
	if ($section != 'players') echo "</a>";
	echo "</td>\n";
}
else echo "    <td class=\"tab-unselected\"><a href=\"index.php\">Players</a></td>\n";
if ($tabSelected == 'raid') {
	echo "<td class=\"tab-selected\">";
	if ($section != 'raids') echo "<a href=\"index.php?show=raids\">";
	echo "Raids";
	if ($section != 'raids') echo "</a>";
	echo "</td>\n";
}
else echo "    <td class=\"tab-unselected\"><a href=\"index.php?show=raids\">Raids</a></td>\n";
if ($tabSelected == 'item') {
	echo "<td class=\"tab-selected\">";
	if ($section != 'items') echo "<a href=\"index.php?show=items\">";
	echo "Items";
	if ($section != 'items') echo "</a>";
	echo "</td>\n";
}
else echo "    <td class=\"tab-unselected\"><a href=\"index.php?show=items\">Items</a></td>\n";
echo "   </tr>
<tr>
<td colspan=\"3\" class=\"tab-content\">";

if (stripslashes($_GET['show']) == 'raids') require 'raids.php';
else if (stripslashes($_GET['show']) == 'items') require 'items.php';
else if (stripslashes($_GET['show']) == 'raid') require 'raid.php';
else if (stripslashes($_GET['show']) == 'item') require 'item.php';
else if (stripslashes($_GET['show']) == 'player') require 'player.php';
else if (stripslashes($_GET['show']) == 'stats') require 'stats.php';
else require 'players.php';

echo "    </td>
</tr>
</table>
<p class=\"goback\">Learn <a href=\"mechanics.php\">how our DKP system works</a>.</p>  
<p class=\"footnote\"><a href=\"add-raid.php\">Add Raid</a> | <a href=\"add-bid.php\">Add Bid</a> | <a href=\"add-credit.php\">Add Credit</a> | <a href=\"add-member.php\">Add Guild Member</a> | <a href=\"add-group.php\">Add Multiple Members</a></p>
<p class=\"footnote\"><a href=\"lua-choosefile.php\">Add Raid From File</a> | <a href=\"lua-download.php\">Download DKP Data to Game</a></p>";

require 'footer.php';
?>
