<?php
require 'constants.php';
require 'header.php';

echo "  <h1>Administrator: Add New Member</h1>\n";

if (stripslashes($_POST['name']) == '') {
	echo "  <p class=\"error\">Some required fields were not filled out.</p>
		<p class=\"goback\">Return to the <a href=\"add-member.php\">Add New Member</a> page.</p>";
}
else if (verifyPassword($db, stripslashes($_POST['password']), array(PERM_MODIFY_MEMBERS => TRUE))) {
	begin($db);

	if (stripslashes($_POST['class']) == 'Unspecified') $query = "INSERT INTO Players (name,class) VALUES ('" . pg_escape_string(stripslashes($_POST['name'])) . "',NULL);";
	else $query = "INSERT INTO Players (name,class) VALUES ('" . pg_escape_string(stripslashes($_POST['name'])) . "','" . pg_escape_string(stripslashes($_POST['class'])) . "');";
	$result = pg_query($db, $query);
	if (!$result) { echo "  <p class=\"error\">Could not add the player into the Players table: " . pg_last_error($db) . "</p><p>Note that if you want to reactivate a player who has left the guild, please visit his or her <a href=\"index.php?show=player&name=" . stripslashes($_POST['name']) . "\">history page</a>.</p>\n"; rollback($db); require 'footer.php'; exit; }

	commit($db);
	echo "  <p>Guild member " . stripslashes($_POST['name']) . " was successfully added.</p>
		<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a> or <a href=\"add-member.php\">add another guild member</a>.</p>";
}
else {
	echo "  <p class=\"error\">The supplied administrator password was incorrect.</p>
		<p class=\"goback\">Return to the <a href=\"add-member.php\">Add New Member</a> page.</p>";
}

require 'footer.php';
?>
