<?php
require 'constants.php';
require 'header.php';

echo "  <h1>Administrator: Remove Raid</h1>\n";

if (stripslashes($_POST['id']) == '') {
	echo "  <p class=\"error\">A raid was not specified.</p>
		<p class=\"goback\">Return to the <a href=\"remove-raid.php?id=" . stripslashes($_POST['id']) . "\">Remove Raid</a> page.</p>";
}
else if (verifyPassword($db, stripslashes($_POST['password']), array(PERM_MODIFY_DKP => TRUE))) {
	begin($db);

	// Delete from Bids
	$query = "DELETE FROM Bids WHERE change_id IN (SELECT change_id FROM DKP where raid_id = " . pg_escape_string(stripslashes($_POST['id'])) . ");";
	$result = pg_query($db, $query);
	if (!$result) { echo "  <p class=\"error\">Could not remove entries from Bids table: " . pg_last_error($db); require 'footer.php'; exit; }

	// Delete from DKP
	$query = "DELETE FROM DKP WHERE raid_id = " . pg_escape_string(stripslashes($_POST['id'])) . ";";
	$result = pg_query($db, $query);
	if (!$result) { echo "  <p class=\"error\">Could not remove entries from DKP table: " . pg_last_error($db); require 'footer.php'; exit; }

	// And delete the raid
	$query = "DELETE FROM Raids WHERE raid_id = " . pg_escape_string(stripslashes($_POST['id'])) . ";";
	$result = pg_query($db, $query);
	if (!$result) { echo "  <p class=\"error\">Could not remove entry from Raids table: " . pg_last_error($db); require 'footer.php'; exit; }

	commit($db);
	echo "  <p>The raid was successfully removed from the DKP system.</p>
		<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a>.</p>";
}
else {
	echo "  <p class=\"error\">The supplied administrator password was incorrect.</p>
		<p class=\"goback\">Return to the <a href=\"remove-raid.php?id=" . stripslashes($_POST['id']) . "\">Remove Raid</a> page.</p>";
}

require 'footer.php';
?>
