<?php
require 'constants.php';
require 'header.php';

echo "  <h1>Administrator: Add DKP From Raid</h1>
<form method=\"post\" action=\"action-raidadd.php\">
<p>
Select the instance that was run:
<select name=\"instance\">\n";
$result = pg_query($db, "SELECT instance FROM Instances ORDER BY instance ASC;");
if (!$result) { echo "  <p class=\"error\">Couldn't get a list of instances: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
while ($row = pg_fetch_row($result)) {
	echo "     <option>$row[0]</option>\n";
}

$result = pg_query($db, "SELECT CURRENT_DATE;");
if (!$result) { echo "  <p class=\"error\">Couldn't get the current date: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
$row = pg_fetch_row($result);
echo "    </select>
</p>
<p>Enter the date for the run: <input type=\"text\" name=\"date\" value=\"$row[0]\"/></p>
<p>Enter a note to associate with the run: <input type=\"text\" name=\"note\" /> (please choose a note that <b>uniquely identifies</b> the raid)</p>
<table>
<tr>
<th class=\"primary\">Player</th>
<th>DKP</th>
</tr>\n";

$result = pg_query($db, "SELECT name FROM Players WHERE active = TRUE ORDER BY name ASC");
if (!$result) { echo "  <p class=\"error\">Couldn't get a list of player names: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
while ($row = pg_fetch_row($result)) {
	echo "    <tr>
		<td class=\"primary\">$row[0]</td>
		<td><input type=\"text\" name=\"dkp-$row[0]\" size=\"5\" value=\"0\"/></td>
		</tr>\n";
}
echo "   </table>
<p class=\"admin\">Type in the administrator password <input type=\"password\" name=\"password\" /> to <input type=\"submit\" name=\"submit\" value=\"Update DKP\" />.</p>
</form>
<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a>.</p>\n";

require 'footer.php';
?>
