<?php

$page = 1;
if (is_numeric(stripslashes($_GET['page']))) $page = stripslashes($_GET['page']);
$offset = ($page - 1)*50;

echo "  <h1>" . stripslashes($_GET['name']) . "</h1>
<h2>DKP History</h2>\n";
$query = "SELECT R.date, R.instance, D.amount, R.note, B.item, R.raid_id, D.change_id FROM DKP D LEFT JOIN Bids AS B ON B.change_id = D.change_id INNER JOIN Raids AS R ON R.raid_id = D.raid_id LEFT JOIN Items AS I ON I.item = B.item WHERE D.name='" . pg_escape_string(stripslashes($_GET['name'])) . "' ORDER BY R.date DESC OFFSET " . pg_escape_string($offset) . " LIMIT 50;";
$result = pg_query($db, $query);
if (!$result) { echo "  <p class=\"error\">Couldn't get DKP history for this player: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }

if (pg_num_rows($result)) {
	echo "  <table>
		<tr>
		<th class=\"primary\">Date</td>
		<th>Instance</th>
		<th>DKP Change</th>
		<th>Note or Item</th>
		<th>Admin</th>
		</tr>";
	while ($row = pg_fetch_row($result)) {
		echo "
			<tr class=\"";
		if ($row[4] == '' && $row[1] == 'Correction Entry') echo "correction";
		else if ($row[4] == '') echo "credit";
		else echo "debit";
		echo "\">
			<td class=\"primary\">$row[0]</td>
			<td>$row[1]</td>
			<td class=\"numeric\">";
		if ($row[4] != '') echo "-";
		echo "$row[2]</td>
			<td>";
		if ($row[4] == '') echo "<a href=\"index.php?show=raid&amp;id=$row[5]\">$row[3]</a>";
		else {
			$itemNameFormatted = urlencode($row[4]);
			echo "<a href=\"index.php?show=item&amp;item=$itemNameFormatted\">$row[4]</a>";
		}
		echo "</td>\n";
		if ($row[4] == '') echo "    <td><a href=\"edit-dkp.php?id=$row[6]\">Edit</a></td>\n";
		else echo "    <td><a href=\"edit-dkp.php?id=$row[6]\">Edit</a></td>\n";
		echo "   </tr>";
	}
	echo "
		</table>\n\n";
}
elseif ($page == 1) {
	echo "  <p><i>" . stripslashes($_GET['name']) . " has no DKP history.</i></p>";
}

$prevPage = $page - 1;
$nextPage = $page + 1;
if ($page > 1) echo "<p class=\"page-prev\"><a href=\"index.php?show=player&name=" . stripslashes($_GET['name']) . "&page=$prevPage\">&lt; 50 newer entries &lt;</a></p>\n";
if (pg_num_rows($result) == 50) echo "<p class=\"page-next\"><a href=\"index.php?show=player&name=" . stripslashes($_GET['name']) . "&page=$nextPage\">&gt; 50 older entries &gt;</a></p>\n";

echo "   <p style=\"clear: both\">Is this player core or casual? View <a href=\"cstats.php?name=" . stripslashes($_GET['name']) . "\">raiding statistics</a>.</p>
<p><b>Administrator:</b> <a href=\"edit-member.php?name=" . stripslashes($_GET['name']) . "\">Edit this player's class</a>, <a href=\"remove-member.php?name=" . stripslashes($_GET['name']) . "\">Remove this player from the DKP site</a></p>\n";

$result = pg_query($db, "SELECT active FROM Players WHERE name='" . pg_escape_string(stripslashes($_GET['name'])) . "';");
while ($row = pg_fetch_row($result)) {
	if ($row[0] == 'f') {
		echo "
<form method=\"post\" action=\"action-memberactivate.php\">
<p class=\"admin\">
<input type=\"hidden\" name=\"name\" value=\"" . stripslashes($_GET['name']) . "\" />
Type in the administrator password <input type=\"password\" name=\"password\" /> to <input type=\"submit\" name=\"submit\" value=\"Activate this Player\" />.
</p>
</form>";
	}
}
?>
